# Receipt Stock

## Save Receipt Stock :- LOGIC API PUSH - RECEIPT REGISTER <a href="#heading" id="heading"></a>

This API is used to save the receipt stock in LOGIC

### **Authorization Detail**

| Name          | Detail                                          |
| ------------- | ----------------------------------------------- |
| End Point     | <http://demo.logicerp.com/api/SaveReceiptStock> |
| Request Type  | POST                                            |
| Authorization | Basic Auth                                      |
| Username      | Demo                                            |
| Password      | 1                                               |

### **Request**

```
               
{
    "Branch_Code": 2,
    "Doc_Prefix": "REC",
    "IssueTo": "",
    "GodownName": "MAIN",
    "ReceivedFrom": "RKSS",
    "ListItems": [
        {
            "ItemCode": "8900001",
            "LotNo": "CB-1",
            "Quantity": 1.0,
            "Rate": 100.0,
            "Mrp": 0.0,
            "Manufacturing_Date": null,
            "Expiry_Date": null 
        },
        {
            "ItemCode": "8900002",
            "LotNo": "CB-2",
            "Quantity": 2.0,
            "Rate": 200.0,
            "Mrp": 0.0,
            "Manufacturing_Date": null,
            "Expiry_Date": null 
        },
        {
            "ItemCode": "8900003",
            "LotNo": "CB-3",
            "Quantity": 3.0,
            "Rate": 300.0,
            "Mrp": 0.0,
            "Manufacturing_Date": null,
            "Expiry_Date": null 
        }
    ]
}

```

| Name         | Type     | Length | Mandatory |
| ------------ | -------- | ------ | --------- |
| Branch\_Code | number   | -      | yes       |
| Doc\_Prefix  | nvarchar | -      | yes       |
| IssueTo      | nvarchar | -      | yes       |
| GodownName   | nvarchar | -      |           |
| ReceivedFrom | nvarchar | -      | -         |

### **Response**

```
 
  {
     "LastSavedDocNo": "",
     "Status": true,
     "Message": "Document Saved Sucessfully...",
     "LastSavedCode": 0
 }

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://kb.logicerp.com/logic-erp-learning-hub-tutorials-and-best-practices/api-documentation/inventory/push/receipt-stock.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
